/* static/css/reset.css */
::after,
::before {
  box-sizing: border-box;
}
html {
  -moz-tab-size: 4;
  tab-size: 4;
}
html {
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
}
body {
  margin: 0;
}
body {
  font-family:
    system-ui,
    -apple-system,
    "Segoe UI",
    Roboto,
    Helvetica,
    Arial,
    sans-serif,
    "Apple Color Emoji",
    "Segoe UI Emoji";
}
hr {
  height: 0;
  color: inherit;
}
abbr[title] {
  -webkit-text-decoration: underline dotted;
  text-decoration: underline dotted;
}
b,
strong {
  font-weight: bolder;
}
code,
kbd,
pre,
samp {
  font-family:
    ui-monospace,
    SFMono-Regular,
    Consolas,
    "Liberation Mono",
    Menlo,
    monospace;
  font-size: 1em;
}
small {
  font-size: 80%;
}
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}
sub {
  bottom: -.25em;
}
sup {
  top: -.5em;
}
table {
  text-indent: 0;
  border-color: inherit;
}
button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  line-height: 1.15;
  margin: 0;
}
button,
select {
  text-transform: none;
}
[type=button],
[type=reset],
[type=submit],
button {
  -webkit-appearance: button;
  appearance: button;
}
::-moz-focus-inner {
  border-style: none;
  padding: 0;
}
:-moz-focusring {
  outline: 1px dotted ButtonText;
}
:-moz-ui-invalid {
  box-shadow: none;
}
legend {
  padding: 0;
}
progress {
  vertical-align: baseline;
}
::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto;
}
[type=search] {
  -webkit-appearance: textfield;
  outline-offset: -2px;
}
::-webkit-search-decoration {
  -webkit-appearance: none;
}
::-webkit-file-upload-button {
  -webkit-appearance: button;
  font: inherit;
}
summary {
  display: list-item;
}
blockquote,
dd,
dl,
figure,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
p,
pre {
  margin: 0;
}
button {
  background-color: transparent;
  background-image: none;
}
fieldset {
  margin: 0;
  padding: 0;
}
ol,
ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
html {
  font-family:
    ui-sans-serif,
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    "Helvetica Neue",
    Arial,
    "Noto Sans",
    sans-serif,
    "Apple Color Emoji",
    "Segoe UI Emoji",
    "Segoe UI Symbol",
    "Noto Color Emoji";
  line-height: 1.5;
}
body {
  font-family: inherit;
  line-height: inherit;
}
*,
::after,
::before {
  box-sizing: border-box;
  border-width: 0;
  border-style: solid;
  border-color: currentColor;
}
hr {
  border-top-width: 1px;
}
img {
  border-style: solid;
}
textarea {
  resize: vertical;
}
input::placeholder,
textarea::placeholder {
  opacity: 1;
  color: #9ca3af;
}
[role=button],
button {
  cursor: pointer;
}
table {
  border-collapse: collapse;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
}
a {
  color: inherit;
  text-decoration: inherit;
}
button,
input,
optgroup,
select,
textarea {
  padding: 0;
  line-height: inherit;
  color: inherit;
}
code,
kbd,
pre,
samp {
  font-family:
    ui-monospace,
    SFMono-Regular,
    Menlo,
    Monaco,
    Consolas,
    "Liberation Mono",
    "Courier New",
    monospace;
}
audio,
canvas,
embed,
iframe,
img,
object,
svg,
video {
  display: block;
  vertical-align: middle;
}
img,
video {
  max-width: 100%;
  height: auto;
}
[hidden] {
  display: none;
}

/* static/css/base.css */
pre,
code {
  font-size: var(--size-lg);
}
body {
  font-size: var(--size-xl);
  line-height: var(--line-height-xl);
  width: 100%;
  color: var(--yin-9);
}

/* static/css/typography.css */
:root {
  --size-xs: 0.75rem;
  --line-height-xs: 1rem;
  --size-sm: 0.875rem;
  --line-height-sm: 1.25rem;
  --size-base: 1rem;
  --line-height-base: 1.5rem;
  --size-lg: 1.125rem;
  --line-height-lg: 1.75rem;
  --size-xl: 1.25rem;
  --line-height-xl: 1.75rem;
  --size-2xl: 1.5rem;
  --line-height-2xl: 2rem;
  --size-3xl: 1.875rem;
  --line-height-3xl: 2.25rem;
  --size-4xl: 2.25rem;
  --line-height-4xl: 2.5em;
}
@font-face {
  font-family: "Faculty Glyphic";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("./FacultyGlyphic-Regular-KDG5AQCP.ttf") format("truetype");
}

/* static/css/colors.css */
:root {
  --blue-1-raw: 0.8966 0.046 260.67;
  --blue-1: oklch(0.8966 0.046 260.67);
  --blue-2-raw: 0.8017 0.091 258.88;
  --blue-2: oklch(0.8017 0.091 258.88);
  --blue-3-raw: 0.7094 0.136 258.06;
  --blue-3: oklch(0.7094 0.136 258.06);
  --blue-4-raw: 0.6239 0.181 258.33;
  --blue-4: oklch(0.6239 0.181 258.33);
  --blue-5-raw: 0.5487 0.222 260.33;
  --blue-5: oklch(0.5487 0.222 260.33);
  --blue-6-raw: 0.5115 0.204 260.17;
  --blue-6: oklch(0.5115 0.204 260.17);
  --blue-7-raw: 0.4736 0.185 259.89;
  --blue-7: oklch(0.4736 0.185 259.89);
  --blue-8-raw: 0.4348 0.17 260.2;
  --blue-8: oklch(0.4348 0.17 260.2);
  --blue-9-raw: 0.3953 0.15 259.87;
  --blue-9: oklch(0.3953 0.15 259.87);
  --gray-1-raw: 0.9557 0.003 286.35;
  --gray-1: oklch(0.9557 0.003 286.35);
  --gray-2-raw: 0.9204 0.002 197.12;
  --gray-2: oklch(0.9204 0.002 197.12);
  --gray-3-raw: 0.8828 0.003 286.34;
  --gray-3: oklch(0.8828 0.003 286.34);
  --gray-4-raw: 0.8468 0.002 197.12;
  --gray-4: oklch(0.8468 0.002 197.12);
  --gray-5-raw: 0.8073 0.002 247.84;
  --gray-5: oklch(0.8073 0.002 247.84);
  --gray-6-raw: 0.7503 0.002 247.85;
  --gray-6: oklch(0.7503 0.002 247.85);
  --gray-7-raw: 0.6901 0.003 286.32;
  --gray-7: oklch(0.6901 0.003 286.32);
  --gray-8-raw: 0.6312 0.004 219.55;
  --gray-8: oklch(0.6312 0.004 219.55);
  --gray-9-raw: 0.5682 0.004 247.89;
  --gray-9: oklch(0.5682 0.004 247.89);
  --green-1-raw: 0.9396 0.05 148.74;
  --green-1: oklch(0.9396 0.05 148.74);
  --green-2-raw: 0.8877 0.096 147.71;
  --green-2: oklch(0.8877 0.096 147.71);
  --green-3-raw: 0.8374 0.139 146.57;
  --green-3: oklch(0.8374 0.139 146.57);
  --green-4-raw: 0.7933 0.179 145.62;
  --green-4: oklch(0.7933 0.179 145.62);
  --green-5-raw: 0.7523 0.209 144.64;
  --green-5: oklch(0.7523 0.209 144.64);
  --green-6-raw: 0.7003 0.194 144.71;
  --green-6: oklch(0.7003 0.194 144.71);
  --green-7-raw: 0.6424 0.175 144.92;
  --green-7: oklch(0.6424 0.175 144.92);
  --green-8-raw: 0.5883 0.158 145.05;
  --green-8: oklch(0.5883 0.158 145.05);
  --green-9-raw: 0.5277 0.138 145.41;
  --green-9: oklch(0.5277 0.138 145.41);
  --orange-1-raw: 0.9383 0.037 56.93;
  --orange-1: oklch(0.9383 0.037 56.93);
  --orange-2-raw: 0.8837 0.072 55.8;
  --orange-2: oklch(0.8837 0.072 55.8);
  --orange-3-raw: 0.8356 0.107 56.49;
  --orange-3: oklch(0.8356 0.107 56.49);
  --orange-4-raw: 0.7875 0.141 54.32;
  --orange-4: oklch(0.7875 0.141 54.32);
  --orange-5-raw: 0.7461 0.171 51.56;
  --orange-5: oklch(0.7461 0.171 51.56);
  --orange-6-raw: 0.6933 0.157 52.18;
  --orange-6: oklch(0.6933 0.157 52.18);
  --orange-7-raw: 0.638 0.142 52.1;
  --orange-7: oklch(0.638 0.142 52.1);
  --orange-8-raw: 0.5828 0.128 52.2;
  --orange-8: oklch(0.5828 0.128 52.2);
  --orange-9-raw: 0.5249 0.113 51.98;
  --orange-9: oklch(0.5249 0.113 51.98);
  --pink-1-raw: 0.958 0.023 354.27;
  --pink-1: oklch(0.958 0.023 354.27);
  --pink-2-raw: 0.9214 0.046 352.31;
  --pink-2: oklch(0.9214 0.046 352.31);
  --pink-3-raw: 0.889 0.066 354.39;
  --pink-3: oklch(0.889 0.066 354.39);
  --pink-4-raw: 0.8543 0.09 354.1;
  --pink-4: oklch(0.8543 0.09 354.1);
  --pink-5-raw: 0.8223 0.112 355.33;
  --pink-5: oklch(0.8223 0.112 355.33);
  --pink-6-raw: 0.7637 0.101 355.37;
  --pink-6: oklch(0.7637 0.101 355.37);
  --pink-7-raw: 0.7023 0.092 354.96;
  --pink-7: oklch(0.7023 0.092 354.96);
  --pink-8-raw: 0.6411 0.084 353.91;
  --pink-8: oklch(0.6411 0.084 353.91);
  --pink-9-raw: 0.5768 0.074 353.14;
  --pink-9: oklch(0.5768 0.074 353.14);
  --purple-1-raw: 0.891 0.046 305.24;
  --purple-1: oklch(0.891 0.046 305.24);
  --purple-2-raw: 0.7868 0.091 305;
  --purple-2: oklch(0.7868 0.091 305);
  --purple-3-raw: 0.685 0.136 303.78;
  --purple-3: oklch(0.685 0.136 303.78);
  --purple-4-raw: 0.5847 0.181 302.06;
  --purple-4: oklch(0.5847 0.181 302.06);
  --purple-5-raw: 0.4939 0.215 298.31;
  --purple-5: oklch(0.4939 0.215 298.31);
  --purple-6-raw: 0.4611 0.198 298.4;
  --purple-6: oklch(0.4611 0.198 298.4);
  --purple-7-raw: 0.4277 0.181 298.49;
  --purple-7: oklch(0.4277 0.181 298.49);
  --purple-8-raw: 0.3946 0.164 298.29;
  --purple-8: oklch(0.3946 0.164 298.29);
  --purple-9-raw: 0.3601 0.145 298.35;
  --purple-9: oklch(0.3601 0.145 298.35);
  --red-1-raw: 0.8898 0.052 3.28;
  --red-1: oklch(0.8898 0.052 3.28);
  --red-2-raw: 0.7878 0.109 4.54;
  --red-2: oklch(0.7878 0.109 4.54);
  --red-3-raw: 0.6986 0.162 7.82;
  --red-3: oklch(0.6986 0.162 7.82);
  --red-4-raw: 0.6273 0.209 12.37;
  --red-4: oklch(0.6273 0.209 12.37);
  --red-5-raw: 0.5863 0.231 19.6;
  --red-5: oklch(0.5863 0.231 19.6);
  --red-6-raw: 0.5441 0.214 19.06;
  --red-6: oklch(0.5441 0.214 19.06);
  --red-7-raw: 0.4995 0.195 18.34;
  --red-7: oklch(0.4995 0.195 18.34);
  --red-8-raw: 0.458 0.177 17.7;
  --red-8: oklch(0.458 0.177 17.7);
  --red-9-raw: 0.4117 0.157 16.58;
  --red-9: oklch(0.4117 0.157 16.58);
  --yellow-1-raw: 0.9705 0.039 91.2;
  --yellow-1: oklch(0.9705 0.039 91.2);
  --yellow-2-raw: 0.95 0.07 92.39;
  --yellow-2: oklch(0.95 0.07 92.39);
  --yellow-3-raw: 0.9276 0.098 92.58;
  --yellow-3: oklch(0.9276 0.098 92.58);
  --yellow-4-raw: 0.9092 0.125 92.56;
  --yellow-4: oklch(0.9092 0.125 92.56);
  --yellow-5-raw: 0.89 0.146 91.5;
  --yellow-5: oklch(0.89 0.146 91.5);
  --yellow-6-raw: 0.8239 0.133 91.5;
  --yellow-6: oklch(0.8239 0.133 91.5);
  --yellow-7-raw: 0.7584 0.122 92.21;
  --yellow-7: oklch(0.7584 0.122 92.21);
  --yellow-8-raw: 0.6914 0.109 91.04;
  --yellow-8: oklch(0.6914 0.109 91.04);
  --yellow-9-raw: 0.6229 0.097 91.9;
  --yellow-9: oklch(0.6229 0.097 91.9);
  --yin-1-raw: 0.9187 0.003 264.54;
  --yin-1: oklch(0.9187 0.003 264.54);
  --yin-2-raw: 0.8461 0.004 286.31;
  --yin-2: oklch(0.8461 0.004 286.31);
  --yin-3-raw: 0.7689 0.004 247.87;
  --yin-3: oklch(0.7689 0.004 247.87);
  --yin-4-raw: 0.6917 0.004 247.88;
  --yin-4: oklch(0.6917 0.004 247.88);
  --yin-5-raw: 0.6101 0.005 271.34;
  --yin-5: oklch(0.6101 0.005 271.34);
  --yin-6-raw: 0.5279 0.005 271.32;
  --yin-6: oklch(0.5279 0.005 271.32);
  --yin-7-raw: 0.4387 0.005 271.3;
  --yin-7: oklch(0.4387 0.005 271.3);
  --yin-8-raw: 0.3502 0.005 236.66;
  --yin-8: oklch(0.3502 0.005 236.66);
  --yin-9-raw: 0.2511 0.006 258.36;
  --yin-9: oklch(0.2511 0.006 258.36);
  --yang: oklch(0.994 0 0);
  --yin: oklch(0.1438 0.007 256.88);
}

/* static/css/squiggle.css */
.squiggle-top,
.squiggle-bottom {
  position: relative;
}
.squiggle-top {
  margin-top: 32px;
}
.squiggle-bottom {
  margin-bottom: 32px;
}
.squiggle-top::before,
.squiggle-bottom::after {
  content: " ";
  position: absolute;
  width: 100%;
  left: 0;
  height: 32px;
}
hr.squiggle {
  border: none;
  height: 32px;
}
.squiggle-top::before {
  bottom: 100%;
  background: url('data:image/svg+xml,<svg width="75" height="32" viewBox="32 0 75 32" xmlns="http://www.w3.org/2000/svg"><g fill="%23000" fill-rule="evenodd"><path d="M0 0h139v5H0z"/><path d="M107 0v5h-2.341283c-2 0-5.999683 2.079488-13.20414 11.262247l-2.127321 2.72115c-2.90467 3.687661-3.779283 5.021445-5.755843 6.842735l-.186403.170694C80.15817 28.933613 78.41748 31 72.41748 31c-9.182128 0-12.459594-2.7406-19.056274-10.765259l-4.828647-6.218139c-.576839-.72382-1.057495-1.317208-1.527904-1.884399C42.544425 6.75432 37.714106 5.106008 34 5h-2V0h75z" fill-rule="nonzero"/></g></svg>') repeat top center;
  background-color: inherit;
  -webkit-mask: url('data:image/svg+xml,<svg width="75" height="32" viewBox="32 0 75 32" xmlns="http://www.w3.org/2000/svg"><g fill="%23000" fill-rule="evenodd"><path d="M34 2c4.60081 0 8.311447 2.168652 13.226327 8.094727.764529.938016 1.19994 1.473434 1.306232 1.606254L51.839111 16C59.232015 25.284112 62.300121 28 69.5 28c4.815693 0 8.840966-2.079488 16.045423-11.262247l2.127321-2.72115c2.90467-3.687661 4.544664-5.6921 6.521223-7.51339l.186404-.170693c3.115569-2.835518 7.099341-4.22449 10.278346-4.327024L107 2v30.637695H32V2h2z" fill-rule="nonzero"/><path d="M0 2h32v137H0zM107 2h32v137h-32zM107 32H32v107h75z"/></g></svg>') repeat top center;
  mask: url('data:image/svg+xml,<svg width="75" height="32" viewBox="32 0 75 32" xmlns="http://www.w3.org/2000/svg"><g fill="%23000" fill-rule="evenodd"><path d="M34 2c4.60081 0 8.311447 2.168652 13.226327 8.094727.764529.938016 1.19994 1.473434 1.306232 1.606254L51.839111 16C59.232015 25.284112 62.300121 28 69.5 28c4.815693 0 8.840966-2.079488 16.045423-11.262247l2.127321-2.72115c2.90467-3.687661 4.544664-5.6921 6.521223-7.51339l.186404-.170693c3.115569-2.835518 7.099341-4.22449 10.278346-4.327024L107 2v30.637695H32V2h2z" fill-rule="nonzero"/><path d="M0 2h32v137H0zM107 2h32v137h-32zM107 32H32v107h75z"/></g></svg>') repeat top center;
}
.squiggle-bottom::after {
  top: 100%;
  background: url('data:image/svg+xml,<svg width="75" height="32" viewBox="32 107 75 32" xmlns="http://www.w3.org/2000/svg"><g fill="%23000" fill-rule="evenodd"><path d="M34 109c4.60081 0 8.311447 2.168652 13.226327 8.094727.764529.938016 1.19994 1.473434 1.306232 1.606254L51.839111 123c7.392904 9.284112 10.46101 12 17.660889 12 4.815693 0 8.840966-2.079488 16.045423-11.262247l2.127321-2.72115c2.90467-3.687661 4.544664-5.6921 6.521223-7.51339l.186404-.170693c3.115569-2.835518 7.099341-4.22449 10.278346-4.327024L107 109v30.637695H32V109h2z" fill-rule="nonzero"/><path d="M0 109h32v30H0zM107 109h32v30h-32z"/></g></svg>') repeat bottom center;
  background-color: inherit;
  -webkit-mask: url('data:image/svg+xml,<svg width="75" height="32" viewBox="32 107 75 32" xmlns="http://www.w3.org/2000/svg"><g fill="%23000" fill-rule="evenodd"><path d="M0 0h139v112H0z"/><path d="M107 107v5h-2.341283c-2 0-5.999683 2.079488-13.20414 11.262247l-2.127321 2.72115c-2.90467 3.687661-3.779283 5.021445-5.755843 6.842735l-.186403.170694C80.15817 135.933613 78.41748 138 72.41748 138c-9.182128 0-12.459594-2.7406-19.056274-10.765259l-4.828647-6.218139c-.576839-.72382-1.057495-1.317208-1.527904-1.884399C42.544425 113.75432 37.714106 112.106008 34 112h-2v-5h75z" fill-rule="nonzero"/></g></svg>') repeat bottom center;
  mask: url('data:image/svg+xml,<svg width="75" height="32" viewBox="32 107 75 32" xmlns="http://www.w3.org/2000/svg"><g fill="%23000" fill-rule="evenodd"><path d="M0 0h139v112H0z"/><path d="M107 107v5h-2.341283c-2 0-5.999683 2.079488-13.20414 11.262247l-2.127321 2.72115c-2.90467 3.687661-3.779283 5.021445-5.755843 6.842735l-.186403.170694C80.15817 135.933613 78.41748 138 72.41748 138c-9.182128 0-12.459594-2.7406-19.056274-10.765259l-4.828647-6.218139c-.576839-.72382-1.057495-1.317208-1.527904-1.884399C42.544425 113.75432 37.714106 112.106008 34 112h-2v-5h75z" fill-rule="nonzero"/></g></svg>') repeat bottom center;
}

/* static/css/utilities.css */
.shadow {
  box-shadow:
    0 0 #0000,
    0 0 #0000,
    0 20px 25px -5px rgba(0, 0, 0, 0.1),
    0 8px 10px -6px rgba(0, 0, 0, 0.1);
}
.monospace {
  font-family: monospace;
}
.btn {
  border-radius: 0.25rem;
  background-color: var(--blue-4);
  padding: .5rem 2rem;
  color: white;
}
.container {
  width: 100%;
}
@media (min-width: 640px) {
  .container {
    max-width: 640px;
  }
}
@media (min-width: 768px) {
  .container {
    max-width: 768px;
  }
}
@media (min-width: 1024px) {
  .container {
    max-width: 1024px;
  }
}
@media (min-width: 1280px) {
  .container {
    max-width: 1280px;
  }
}
@media (min-width: 1536px) {
  .container {
    max-width: 1536px;
  }
}

/* static/css/components.css */
a {
  text-decoration: underline;
}
nav {
  background-color: var(--pink-4);
  color: var(--yin-8);
  text-transform: uppercase;
  font-family: "Faculty Glyphic", sans-serif;
  font-weight: 400;
  font-style: normal;
  letter-spacing: 1.1;
  padding: 2.5rem calc((100vw - 1000px) / 2 + 2rem);
  display: flex;
  gap: 1rem;
  flex-direction: row;
  justify-content: space-between;
}
nav h1 {
  font-size: var(--size-4xl);
}
nav h1 a {
  text-decoration: none;
}
nav .byline {
  text-align: right;
}
body > footer {
  margin-top: 1rem;
  padding: 1rem;
}
article.feedback-item {
  position: relative;
  margin: .5rem 0;
  padding: .25rem;
  max-height: 8rem;
  width: 100%;
  cursor: pointer;
  overflow: hidden;
  border: 1px solid var(--gray-2);
  font-size: 1rem;
}
article.feedback-item:hover {
  background: var(--pink-1);
  border-color: var(--pink-1);
}
article.feedback-item.active {
  pointer-events: none;
  opacity: 0.2;
}
article.feedback-item [role=img] {
  display: inline-block;
  width: 1.8rem;
  padding-right: 0.5rem;
  vertical-align: middle;
}
article.feedback-item .checkmark {
  position: absolute;
  right: 0px;
  bottom: 0px;
  width: 100%;
  background-color: var(--pink-5);
  padding: 0.25rem;
  text-align: center;
  color: white;
}
.modal {
  position: relative;
  z-index: 10;
  border: 2px solid var(--yin-9);
  background-color: var(--gray-1);
  width: 100%;
  font-size: var(--size-base);
  line-height: var(--line-height-base);
  padding: 1rem;
  padding-top: 2rem;
  text-align: center;
}
.modal input[type=radio]:checked + label {
  outline: 3px solid var(--pink-4);
}
.modal label {
  text-align: left;
}
.modal .btn.saving {
  background: var(--green-8);
}
.modal [aria-label=Close] {
  cursor: pointer;
  padding: 0.375rem;
  margin: .125rem;
  font-size: var(--size-lg);
  line-height: var(--line-height-lg);
  position: absolute;
  top: 0;
  right: 0;
}
.modal [aria-label=Close]:hover {
  background-color: var(--yin-1);
  border-radius: 50%;
}
.modal [aria-label=Close] svg {
  height: 1.25rem;
}
.modal .icons.enter-text {
  display: flex;
  justify-content: space-between;
  gap: 1rem;
  padding-top: .5rem;
}
.modal .icons label:hover {
  outline: 3px solid var(--pink-4);
}
.modal input[type=radio] {
  display: none;
}
.modal label.emoji {
  display: block;
  cursor: pointer;
  border-radius: 0.75rem;
  background-color: white;
  padding: 0.5rem;
}
.enter-text :is(.modal label.emoji) {
  width: 100%;
  height: 2rem;
  display: flex;
}
.pick-icon :is(.modal label.emoji) {
  display: block;
  margin: .5rem 0;
}
.modal label.emoji [role=img] {
  display: inline-block;
  width: 1.1rem;
  margin: auto;
}
.modal label.emoji .icon-desc {
  margin-left: 0.5rem;
}
.enter-text :is(.modal label.emoji .icon-desc) {
  display: none;
}
.modal textarea {
  margin-top: 1rem;
  margin-bottom: 1rem;
  display: block;
  height: 10rem;
  width: 100%;
  border-radius: .5rem;
  border-width: 1px;
  border-color: var(--gray-2);
  padding: 0.5rem;
}
.adminpage-component {
  position: relative;
  display: grid;
  grid-template-columns: var(--image-width) 1fr;
  gap: 1rem;
  margin-top: 1rem;
  outline: 2rem solid var(--gray-2);
  background: var(--gray-2);
  margin-left: 2rem;
  margin-top: 2rem;
  margin-bottom: 5rem;
  box-sizing: border-box;
}
.adminpage-component section {
  overflow: scroll;
  max-height: 600px;
  flex-grow: 1;
}
.email-page {
  max-width: 600px;
  margin: auto;
  position: fixed;
  max-width: 600px;
  width: 100%;
  background: white;
  border: 1px solid var(--pink-6);
}
.email-page > * {
  margin: 2rem 0;
}
.email-page::backdrop {
  background: rgba(255, 231, 200, 0.9);
}
form.login {
  display: grid;
  grid-template-columns: max-content 1fr;
  width: 400px;
  margin: 4rem auto;
  gap: 1rem;
}
form.login h2 {
  font-size: var(--size-2xl);
  font-weight: bold;
  grid-column: 1/-1;
}
form.login .error {
  grid-column: 1/-1;
  background: var(--pink-2);
  border-radius: 1rem;
  padding: 1rem;
  color: var(--pink-9);
}
form.login label {
  line-height: 2.5rem;
  margin-right: 1rem;
}
form.login input {
  border: 1px solid var(--pink-6);
  padding: 0 .5rem;
}
form.login button[type=submit] {
  background-color: var(--pink-6);
  padding: .5rem 2rem;
  color: white;
  grid-column: 1/-1;
}
form#name-email {
  display: grid;
  grid-template-columns: min-content 1fr min-content;
}
form#name-email label {
  line-height: 2.5rem;
  margin-right: 1rem;
}
form#name-email input {
  border: 1px solid var(--pink-6);
  padding: 0 .5rem;
}
form#name-email button {
  background-color: var(--pink-6);
  padding: .5rem 2rem;
  color: white;
}
body:has(dialog[open]) {
  overflow: hidden;
}
.user-feedback-page {
  padding: 1rem;
  display: grid;
  grid-template-columns: 600px 1fr;
  max-width: 1000px;
  margin: auto;
  gap: 1rem;
}
.user-feedback-page p {
  margin: 1rem 0;
}
.user-feedback-page .intro {
  width: 100%;
  background-color: var(--pink-1);
  padding: 2rem;
}
.user-feedback-page form.general-feedback {
  width: 100%;
  background-color: var(--pink-1);
  padding: 2rem;
}
.user-feedback-page form.general-feedback .textarea-wrapper {
  position: relative;
}
.user-feedback-page form.general-feedback textarea {
  margin: 1rem 0;
  display: block;
  height: 16rem;
  width: 100%;
  border-radius: 0.25rem;
  border-width: 1px;
  border-color: var(--gray-2);
  padding: 0.5rem;
}
.user-feedback-page form.general-feedback .checkmark {
  position: absolute;
  bottom: 0px;
  right: 0px;
  padding: 0.5rem;
}
.admin_feedback {
  position: relative;
  margin-right: 1rem;
  margin-bottom: 0.5rem;
  border-radius: 0.5rem;
  border: 1px solid white;
  padding: .5rem;
  padding-bottom: 1rem;
  font-size: var(--size-sm);
  line-height: var(--line-height-sm);
  display: flex;
  align-items: flex-start;
  background-color: var(--pink-1);
}
.admin_feedback.admin {
  background-color: var(--purple-1);
}
.admin_feedback.checked {
  opacity: 0.3;
}
.admin_feedback p {
  display: inline-block;
  margin-right: 1.5rem;
  margin-left: .5rem;
}
.admin_feedback svg {
  margin-right: 0.25rem;
  display: inline-block;
  width: 1.5rem;
  vertical-align: middle;
}
.admin_feedback footer {
  position: absolute;
  bottom: 0.25rem;
  right: 0.5rem;
  font-size: var(--size-xs);
  line-height: var(--line-height-xs);
  color: var(--gray-5);
}
.admin_feedback button {
  text-decoration-line: underline;
}
.admin_feedback input[type=checkbox] {
  margin: .25rem 0;
}
.admin_feedback input[j-variant=star] {
  position: absolute;
  top: 0px;
  right: 0px;
  cursor: pointer;
  padding: 0 0.25rem;
  font-size: var(--size-2xl);
  line-height: var(--line-height-2xl);
  color: var(--pink-8);
  -webkit-appearance: none;
  appearance: none;
  margin: 0;
}
.admin_feedback input[j-variant=star]::before {
  content: "\2606";
}
.admin_feedback input[j-variant=star]:checked::before {
  content: "\2605";
}
.admin-component {
  margin: auto;
  width: 100%;
  padding-top: 2rem;
}
.admin-component details {
  position: sticky;
  top: 0px;
  left: 0px;
  z-index: 10;
  width: 100%;
  background: white;
  padding: 0.5rem;
  font-size: var(--size-sm);
  line-height: var(--line-height-sm);
}
.admin-component .details {
  display: flex;
  gap: 2rem;
}
.admin-component .details form {
  min-width: 450px;
  grid-column: 1;
}
.admin-component .details form label {
  display: block;
}
.admin-component .details form label[j-variant=inline] {
  display: inline;
}
.admin-component .details form input[type=date] {
  border-radius: 0.25rem;
  border: 1px solid var(--gray-2);
  padding: 0 0.5rem;
}
.admin-component .details a {
  display: flex;
  align-items: center;
  gap: .25rem;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  height: 1.25rem;
  cursor: pointer;
  border-radius: 0.25rem;
  border: 1px solid var(--gray-2);
  padding-left: .25rem;
  padding-right: .5rem;
  text-decoration: none;
  font-size: var(--size-xs);
  line-height: var(--line-height-xs);
}
.admin-component .details a:hover {
  background-color: rgb(243 244 246 / var(--tw-bg-opacity, 1));
}
.admin-component .details [j-layout=page-links] {
  display: grid;
  grid-auto-flow: column;
  grid-template-columns: repeat(7, minmax(0, 1fr));
  grid-template-rows: repeat(4, minmax(0, 1fr));
  gap: 0.25rem;
}
.admin-component section.overall {
  position: relative;
  margin-top: 1rem;
  width: 100%;
  background-color: var(--gray-2);
  padding: 2rem;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.admin-component section.overall h2 {
  margin-bottom: 2rem;
  text-align: center;
  font-size: var(--size-3xl);
  line-height: var(--line-height-3xl);
}
:root {
  --image-width: 600px;
}
.comments {
  border-left: 5px solid var(--pink-5);
  position: sticky;
  height: 100vh;
  top: 0px;
  background: white;
  border-radius: 1rem;
  padding: 1rem;
  overflow: scroll;
}
.comments h2 {
  font-weight: bold;
}
.html {
  background: white;
  border-radius: 1rem;
  padding: 1rem;
}
.html pre {
  white-space: pre-wrap;
}
.html > *:first-child {
  margin-top: 0;
}
.html h1 {
  font-size: var(--size-3xl);
  font-weight: bold;
}
.html h2 {
  font-size: var(--size-xl);
  font-weight: bold;
}
.html p,
.html h1,
.html h2,
.html h3 {
  margin: 1rem 0;
}
body {
  background: var(--pink-1);
}
.about {
  max-width: 1000px;
  margin: auto;
  margin-top: 4rem;
  border-radius: 1rem;
  background: white;
  min-height: 400px;
  padding: 1rem;
}
.about p,
.about ul,
.about h1,
.about h2 {
  margin: 1rem 0;
}
.about li {
  list-style-type: disc;
  margin-left: 1rem;
}
.about h1 {
  font-size: var(--size-3xl);
  font-weight: bold;
  margin-top: 4rem;
}
.about h2 {
  font-size: var(--size-lg);
  font-weight: bold;
}
.admin-list {
  width: 800px;
  margin: auto;
  margin-top: 3rem;
  border-radius: 1rem;
  padding: 1rem;
  background: white;
}
.admin-list .admin-doc {
  display: grid;
  grid-template-columns: repeat(3, max-content);
  align-items: center;
  gap: .5rem;
  column-gap: 1rem;
}
.admin-list h2 {
  font-size: var(--size-lg);
  font-weight: bold;
  margin-top: 2rem;
  margin-bottom: 1rem;
}
.admin-list a {
  text-decoration: none;
}
.admin-list form {
  display: grid;
  width: 600px;
  grid-template-columns: max-content 1fr;
  gap: 1rem;
}
.admin-list form input,
.admin-list form textarea {
  outline: 1px solid black;
  padding: .5rem;
}
.admin-list form button,
.admin-list form .error {
  grid-column: 1/-1;
}

/* static/css/text-annotator.css */
.r6o-annotatable .r6o-span-highlight-layer {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  mix-blend-mode: multiply;
  pointer-events: none;
  overflow: hidden;
  user-select: none;
  -webkit-user-select: none;
  z-index: 1;
}
.r6o-annotatable .r6o-span-highlight-layer.hidden {
  display: none;
}
.r6o-annotatable .r6o-span-highlight-layer .r6o-annotation {
  position: absolute;
  display: block;
  border-style: solid;
  border-width: 0;
  box-sizing: content-box;
}
html,
body {
  overscroll-behavior-y: none;
}
.r6o-annotatable {
  position: relative;
  -webkit-tap-highlight-color: transparent;
}
.r6o-annotatable.no-focus-outline {
  outline: none;
}
.hovered * {
  cursor: pointer;
}
*::selection,
::selection {
  background: #0080ff2e;
}
::-moz-selection {
  background: #0080ff2e;
}

/* static/style.css */
